<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpPathEditor: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpPageSelector.html" title="GimpPageSelector">
<link rel="next" href="GimpPickButton.html" title="GimpPickButton">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpPathEditor.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpPathEditor.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpPathEditor.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpPathEditor.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPageSelector.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpPickButton.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpPathEditor"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpPathEditor.top_of_page"></a>GimpPathEditor</span></h2>
<p>GimpPathEditor — Widget for editing a file search path.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-path-editor.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpPathEditor.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-new" title="gimp_path_editor_new ()">gimp_path_editor_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-get-path" title="gimp_path_editor_get_path ()">gimp_path_editor_get_path</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-set-path" title="gimp_path_editor_set_path ()">gimp_path_editor_set_path</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-get-writable-path" title="gimp_path_editor_get_writable_path ()">gimp_path_editor_get_writable_path</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-set-writable-path" title="gimp_path_editor_set_writable_path ()">gimp_path_editor_set_writable_path</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-get-dir-writable" title="gimp_path_editor_get_dir_writable ()">gimp_path_editor_get_dir_writable</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPathEditor.html#gimp-path-editor-set-dir-writable" title="gimp_path_editor_set_dir_writable ()">gimp_path_editor_set_dir_writable</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpPathEditor.html#GimpPathEditor-path-changed" title="The “path-changed” signal">path-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpPathEditor.html#GimpPathEditor-writable-changed" title="The “writable-changed” signal">writable-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpPathEditor.html#GimpPathEditor-struct" title="GimpPathEditor">GimpPathEditor</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> GimpPathEditor
</pre>
</div>
<div class="refsect1">
<a name="GimpPathEditor.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpPathEditor implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpPathEditor.description"></a><h2>Description</h2>
<p>This widget is used to edit file search paths.</p>
<p>It shows a list of all directories which are in the search
path. You can click a directory to select it. The widget provides a
<a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a> to change the currently selected directory.</p>
<p>There are buttons to add or delete directories as well as "up" and
"down" buttons to change the order in which the directories will be
searched.</p>
<p>Whenever the user adds, deletes, changes or reorders a directory of
the search path, the "path_changed" signal will be emitted.</p>
</div>
<div class="refsect1">
<a name="GimpPathEditor.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-path-editor-new"></a><h3>gimp_path_editor_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_path_editor_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *path</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> widget.</p>
<p>The elements of the initial search path must be separated with the
<a href="../glib/glib-Standard-Macros.html#G-SEARCHPATH-SEPARATOR:CAPS"><span class="type">G_SEARCHPATH_SEPARATOR</span></a> character.</p>
<div class="refsect3">
<a name="gimp-path-editor-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>The title of the <a href="../gtk2/GtkFileChooser.html#GtkFileChooser-struct"><span class="type">GtkFileChooser</span></a> dialog which can be popped up.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>path</p></td>
<td class="parameter_description"><p>The initial search path.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-path-editor-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-get-path"></a><h3>gimp_path_editor_get_path ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_path_editor_get_path (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>);</pre>
<p>The elements of the returned search path string are separated with the
<a href="../glib/glib-Standard-Macros.html#G-SEARCHPATH-SEPARATOR:CAPS"><span class="type">G_SEARCHPATH_SEPARATOR</span></a> character.</p>
<p>Note that you have to <a href="../glib/glib-Memory-Allocation.html#g-free"><code class="function">g_free()</code></a> the returned string.</p>
<div class="refsect3">
<a name="gimp-path-editor-get-path.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>editor</p></td>
<td class="parameter_description"><p>The path editor you want to get the search path from.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-path-editor-get-path.returns"></a><h4>Returns</h4>
<p> The search path the user has selected in the path editor.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-set-path"></a><h3>gimp_path_editor_set_path ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_path_editor_set_path (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>,
                           <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *path</code></em>);</pre>
<p>The elements of the initial search path must be separated with the
<a href="../glib/glib-Standard-Macros.html#G-SEARCHPATH-SEPARATOR:CAPS"><span class="type">G_SEARCHPATH_SEPARATOR</span></a> character.</p>
<div class="refsect3">
<a name="gimp-path-editor-set-path.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>editor</p></td>
<td class="parameter_description"><p>The path editor you want to set the search path from.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>path</p></td>
<td class="parameter_description"><p>The new path to set.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-get-writable-path"></a><h3>gimp_path_editor_get_writable_path ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_path_editor_get_writable_path (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-set-writable-path"></a><h3>gimp_path_editor_set_writable_path ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_path_editor_set_writable_path (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>,
                                    <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *path</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-get-dir-writable"></a><h3>gimp_path_editor_get_dir_writable ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_path_editor_get_dir_writable (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>,
                                   <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *directory</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-path-editor-set-dir-writable"></a><h3>gimp_path_editor_set_dir_writable ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_path_editor_set_dir_writable (<em class="parameter"><code><a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *editor</code></em>,
                                   <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *directory</code></em>,
                                   <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> writable</code></em>);</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpPathEditor-struct"></a><h3>GimpPathEditor</h3>
<pre class="programlisting">typedef struct _GimpPathEditor GimpPathEditor;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpPathEditor-path-changed"></a><h3>The <code class="literal">“path-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *gimppatheditor,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>        user_data)</pre>
<p>This signal is emitted whenever the user adds, deletes, modifies
or reorders an element of the search path.</p>
<div class="refsect3">
<a name="GimpPathEditor-path-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpPathEditor-writable-changed"></a><h3>The <code class="literal">“writable-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpPathEditor.html" title="GimpPathEditor"><span class="type">GimpPathEditor</span></a> *gimppatheditor,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>        user_data)</pre>
<p>This signal is emitted whenever the "writable" column of a directory
is changed, either by the user clicking on it or by calling
<a class="link" href="GimpPathEditor.html#gimp-path-editor-set-dir-writable" title="gimp_path_editor_set_dir_writable ()"><code class="function">gimp_path_editor_set_dir_writable()</code></a>.</p>
<div class="refsect3">
<a name="GimpPathEditor-writable-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpPathEditor.see-also"></a><h2>See Also</h2>
<p><a class="link" href="GimpFileEntry.html" title="GimpFileEntry"><span class="type">GimpFileEntry</span></a>, <a href="../glib/glib-Standard-Macros.html#G-SEARCHPATH-SEPARATOR:CAPS"><span class="type">G_SEARCHPATH_SEPARATOR</span></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>